import React from "react";
import {render, waitFor} from "@testing-library/react";

import SendForm from "./SendForm";
import addSnapshotSerializer from "../../../utils/snapshot";

describe("Send Form Component", () => {
  beforeAll(() => {
    addSnapshotSerializer(expect);
  });

  it("Render", async () => {
    const {container} = render(<SendForm onSend={()=>{}} busy={false}/>);
    await waitFor(() => {
      /* render */
    });
    expect(container).toMatchSnapshot();
  });
});
